=== modified file 'buildout.cfg'
--- buildout.cfg	2009-06-15 21:53:42 +0000
+++ buildout.cfg	2009-07-03 15:45:41 +0000
@@ -5,7 +5,6 @@
     tags
     iharness
     i18n
-    windmill
 unzip = true
 eggs-directory = eggs
 download-cache = download-cache
@@ -41,6 +40,7 @@
 [scripts]
 recipe = zc.recipe.egg
 eggs = lp
+    windmill
 # XXX gary 2009-5-12 bug 375751:
 # Make mailman built and installed in a more normal way.
 extra-paths = ${buildout:directory}/lib/mailman
@@ -49,8 +49,9 @@
                  os.environ['STORM_CEXTENSIONS'] = '1'
                  os.environ.setdefault('LPCONFIG', '${configuration:instance_name}')
 entry-points = stxdocs=zope.configuration.stxdocs:main
-    lp-windmill=lp.scripts.utilities.windmill:main
     googletestservice=canonical.launchpad.testing.googletestservice:main
+    windmill=windmill.bin.windmill_bin:main
+    lp-windmill=lp.scripts.utilities.lpwindmill:main
 
 [iharness]
 recipe = zc.recipe.egg
@@ -74,15 +75,3 @@
 domain = launchpad
 output = locales
 zcml = <include file="../../site.zcml" />
-
-
-[python2.5]
-executable = /usr/bin/python2.5
-
-[windmill]
-recipe = zc.recipe.egg
-eggs = lp
-    windmill
-python = python2.5
-entry-points = windmill=windmill.bin.windmill_bin:main
-scripts = windmill

=== modified file 'lib/canonical/launchpad/windmill/jstests/launchpad_ajax.js'
--- lib/canonical/launchpad/windmill/jstests/launchpad_ajax.js	2009-07-01 13:16:44 +0000
+++ lib/canonical/launchpad/windmill/jstests/launchpad_ajax.js	2009-07-03 15:45:41 +0000
@@ -8,10 +8,7 @@
 test_prepopulated_data_anonymous = new SynchronizedTest(
     'test_prepopulated_data_anonymous', [
     {"params": {"url": "/firefox/+bug/1"}, "method": "open"},
-    // Don't proceed until the existing page has been unloaded. Otherwise
-    // the following tests takes place in a doomed window scope.
-    {"params": {"js": function () {return !document.body;}},
-        "method": "waits.forJS"},
+    {"params": {}, "method": "waits.forPageLoad"},
     // Wait until one of the last element on the page is available.
     {"params": {"xpath": "//div[@id='globalfooter']"},
      "method": "waits.forElement"},
@@ -24,10 +21,7 @@
 test_logged_in_as_foo_bar.test_prepopulated_data = new SynchronizedTest(
     'test_prepopulated_data', [
     {"params": {"url": "/firefox/+bug/1"}, "method": "open"},
-    // Don't proceed until the existing page has been unloaded. Otherwise
-    // the following tests takes place in a doomed window scope.
-    {"params": {"js": function () {return !document.body;}},
-        "method": "waits.forJS"},
+    {"params": {}, "method": "waits.forPageLoad"},
     // Wait until one of the last element on the page is available.
     {"params": {"xpath": "//div[@id='globalfooter']"},
      "method": "waits.forElement"},

=== modified file 'lib/lp/scripts/utilities/windmill.py'
--- lib/lp/scripts/utilities/windmill.py	2009-06-15 07:06:58 +0000
+++ lib/lp/scripts/utilities/windmill.py	2009-07-03 15:45:41 +0000
@@ -9,15 +9,10 @@
 time directly.
 """
 
-import os
 import sys
 import time
 
-here = os.path.dirname(os.path.realpath(__file__))
-
 import atexit
-import signal
-import subprocess
 from canonical.config import config
 from canonical.testing.layers import (
     BaseLayer,
@@ -26,6 +21,9 @@
     GoogleServiceLayer,
     LayerProcessController)
 
+import windmill.bin.windmill_bin
+
+
 def setUpLaunchpad():
     """Set-up the Launchpad app-server against which windmill tests are run.
     """
@@ -50,17 +48,7 @@
 
     This function exits once windmill has terminated.
     """
-    windmill_cmdline = [
-        os.path.join(
-            here, os.pardir, os.pardir, os.pardir, os.pardir, 
-            'bin', 'windmill'),
-        ]
-    windmill_cmdline.extend(sys.argv[1:])
-    windmill = subprocess.Popen(windmill_cmdline, close_fds=True)
-    try:
-        windmill.wait()
-    except KeyboardInterrupt:
-        os.kill(windmill.pid, signal.SIGTERM)
+    windmill.bin.windmill_bin.main()
 
 
 def waitForInterrupt():

=== modified file 'versions.cfg'
--- versions.cfg	2009-07-01 21:52:53 +0000
+++ versions.cfg	2009-07-03 15:45:41 +0000
@@ -12,18 +12,18 @@
 launchpadlib = 1.0.1
 lazr.smtptest = 1.1
 lazr.uri = 1.0.1
-mozrunner = 1.3.3
+mozrunner = 1.3.4
 mocker = 0.10.1
 oauth = 1.0
 Paste = 1.7.2
 PasteDeploy = 1.3.3
 python-openid = 2.2.1
 setuptools = 0.6c9
-simplejson = 1.9.3
+simplejson = 2.0.9
 simplesettings = 0.4
 SimpleTal = 4.1
 wadllib = 0.1
-windmill = 1.1.1
+windmill = 1.2
 wsgi-fileserver = 0.2.7
 wsgi-jsonrpc = 0.2.8
 wsgi-xmlrpc = 0.2.7

